Bug 150515 - joystick ioctl32 trouble
Summary: joystick ioctl32 trouble
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-07 21:47 UTC by Pierre Juhen
Modified: 2015-01-04 22:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 00:43:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pierre Juhen 2005-03-07 21:47:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; fr-FR; rv:1.7.3)
Gecko/20041020

Description of problem:
I downloaded gl-117 binary package for fc3 i386.

When I change to configure joystick, I get the following errors in
/var/log/messages :

 Mar  7 21:34:39 pierre kernel: ioctl32(gl-117:5963): Unknown cmd
fd(6) cmd(80a04520){00} arg(ffffc5d0) on /dev/input/event0
Mar  7 21:34:39 pierre kernel: ioctl32(gl-117:5963): Unknown cmd fd(6)
cmd(80a04520){00} arg(ffffc5d0) on /dev/input/event1
Mar  7 21:34:39 pierre kernel: ioctl32(gl-117:5963): Unknown cmd fd(6)
cmd(80a04520){00} arg(ffffc5d0) on /dev/input/event2
Mar  7 21:34:40 pierre kernel: ioctl32(gl-117:5963): Unknown cmd
fd(95) cmd(80a04521){00} arg(ffffd790) on /dev/input/js0
Mar  7 21:34:40 pierre kernel: ioctl32(gl-117:5963): Unknown cmd
fd(95) cmd(80016a11){00} arg(ffffd5af) on /dev/input/js0
Mar  7 21:34:40 pierre kernel: ioctl32(gl-117:5963): Unknown cmd
fd(95) cmd(80016a12){00} arg(ffffd5af) on /dev/input/js0
Mar  7 21:34:40 pierre kernel: ioctl32(gl-117:5963): Unknown cmd
fd(96) cmd(80804506){00} arg(009919e0) on /dev/input/js0
Mar  7 21:34:40 pierre kernel: ioctl32(gl-117:5963): Unknown cmd
fd(96) cmd(80806a13){00} arg(009919e0) on /dev/input/js0
Mar  7 21:34:40 pierre kernel: ioctl32(gl-117:5963): Unknown cmd
fd(96) cmd(80804506){00} arg(009919e0) on /dev/input/js0
Mar  7 21:34:40 pierre kernel: ioctl32(gl-117:5963): Unknown cmd
fd(96) cmd(80806a13){00} arg(009919e0) on /dev/input/js0

Of course, addtional axis and buttons are not detected.

Seems to be a i386 /x86_64 comptability problem.



Version-Release number of selected component (if applicable):
kernel-2.6.10-1.770_FC3

How reproducible:
Always

Steps to Reproduce:
1.Install gl-117 i386 on fc3 / x86_64
2. Run gl-117 and try to configure joystick
3. Read /var/log/messages
    

Actual Results:   Mar  7 21:34:39 pierre kernel: ioctl32(gl-117:5963):
Unknown cmd fd(6) cmd(80a04520){00} arg(ffffc5d0) on /dev/input/event0
Mar  7 21:34:39 pierre kernel: ioctl32(gl-117:5963): Unknown cmd fd(6)
cmd(80a04520){00} arg(ffffc5d0) on /dev/input/event1
Mar  7 21:34:39 pierre kernel: ioctl32(gl-117:5963): Unknown cmd fd(6)
cmd(80a04520){00} arg(ffffc5d0) on /dev/input/event2
Mar  7 21:34:40 pierre kernel: ioctl32(gl-117:5963): Unknown cmd
fd(95) cmd(80a04521){00} arg(ffffd790) on /dev/input/js0
Mar  7 21:34:40 pierre kernel: ioctl32(gl-117:5963): Unknown cmd
fd(95) cmd(80016a11){00} arg(ffffd5af) on /dev/input/js0
Mar  7 21:34:40 pierre kernel: ioctl32(gl-117:5963): Unknown cmd
fd(95) cmd(80016a12){00} arg(ffffd5af) on /dev/input/js0
Mar  7 21:34:40 pierre kernel: ioctl32(gl-117:5963): Unknown cmd
fd(96) cmd(80804506){00} arg(009919e0) on /dev/input/js0
Mar  7 21:34:40 pierre kernel: ioctl32(gl-117:5963): Unknown cmd
fd(96) cmd(80806a13){00} arg(009919e0) on /dev/input/js0
Mar  7 21:34:40 pierre kernel: ioctl32(gl-117:5963): Unknown cmd
fd(96) cmd(80804506){00} arg(009919e0) on /dev/input/js0
Mar  7 21:34:40 pierre kernel: ioctl32(gl-117:5963): Unknown cmd
fd(96) cmd(80806a13){00} arg(009919e0) on /dev/input/js0

Expected Results:  recognition of joystick axises and buttons.


Additional info:

Comment 1 Dave Jones 2005-07-15 18:15:56 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 2 Dave Jones 2005-10-03 00:43:32 UTC
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.